# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.commons.cli.avalon.CLOption
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TEXT_ARGUMENT`
  `0`
- org.apache.commons.cli.avalon.CLOptionDescriptor
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ARGUMENT_DISALLOWED`
  `8`
  `public static final int`
  `ARGUMENT_OPTIONAL`
  `4`
  `public static final int`
  `ARGUMENT_REQUIRED`
  `2`
  `public static final int`
  `ARGUMENTS_REQUIRED_2`
  `16`
  `public static final int`
  `DUPLICATES_ALLOWED`
  `32`

- org.apache.jmeter.JMeter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_TREE_ICON_SIZE`
  `"19x19"`
  `public static final String`
  `HTTP_PROXY_PASS`
  `"http.proxyPass"`
  `public static final String`
  `HTTP_PROXY_USER`
  `"http.proxyUser"`
  `public static final String`
  `JMETER_NON_GUI`
  `"JMeter.NonGui"`
  `public static final String`
  `JMETER_REPORT_OUTPUT_DIR_PROPERTY`
  `"jmeter.reportgenerator.outputdir"`
  `protected static final String`
  `KEY_SIZE`
  `"<SIZE>"`
  `public static final String`
  `TREE_ICON_SIZE`
  `"jmeter.tree.icons.size"`
  `public static final int`
  `UDP_PORT_DEFAULT`
  `4445`

- org.apache.jmeter.assertions.AssertionResult
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RESPONSE_WAS_NULL`
  `"Response was null"`
- org.apache.jmeter.assertions.BeanShellAssertion
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FILENAME`
  `"BeanShellAssertion.filename"`
  `public static final String`
  `INIT_FILE`
  `"beanshell.assertion.init"`
  `public static final String`
  `PARAMETERS`
  `"BeanShellAssertion.parameters"`
  `public static final String`
  `RESET_INTERPRETER`
  `"BeanShellAssertion.resetInterpreter"`
  `public static final String`
  `SCRIPT`
  `"BeanShellAssertion.query"`
- org.apache.jmeter.assertions.DurationAssertion
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DURATION_KEY`
  `"DurationAssertion.duration"`
- org.apache.jmeter.assertions.HTMLAssertion
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_DOCTYPE`
  `"omit"`
  `public static final String`
  `DOCTYPE_KEY`
  `"html_assertion_doctype"`
  `public static final String`
  `ERROR_THRESHOLD_KEY`
  `"html_assertion_error_threshold"`
  `public static final String`
  `ERRORS_ONLY_KEY`
  `"html_assertion_errorsonly"`
  `public static final String`
  `FILENAME_KEY`
  `"html_assertion_filename"`
  `public static final String`
  `FORMAT_KEY`
  `"html_assertion_format"`
  `public static final String`
  `WARNING_THRESHOLD_KEY`
  `"html_assertion_warning_threshold"`
- org.apache.jmeter.assertions.JSONPathAssertion
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `EXPECT_NULL`
  `"EXPECT_NULL"`
  `public static final String`
  `EXPECTEDVALUE`
  `"EXPECTED_VALUE"`
  `public static final String`
  `INVERT`
  `"INVERT"`
  `public static final String`
  `ISREGEX`
  `"ISREGEX"`
  `public static final String`
  `JSONPATH`
  `"JSON_PATH"`
  `public static final String`
  `JSONVALIDATION`
  `"JSONVALIDATION"`
- org.apache.jmeter.assertions.SizeAssertion
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `EQUAL`
  `1`
  `public static final int`
  `GREATERTHAN`
  `3`
  `public static final int`
  `GREATERTHANEQUAL`
  `5`
  `public static final int`
  `LESSTHAN`
  `4`
  `public static final int`
  `LESSTHANEQUAL`
  `6`
  `public static final int`
  `NOTEQUAL`
  `2`
- org.apache.jmeter.assertions.SubstitutionElement
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `REGEX`
  `"regex"`
  `public static final String`
  `SUBSTITUTE`
  `"substitute"`
- org.apache.jmeter.assertions.XMLSchemaAssertion
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FILE_NAME_IS_REQUIRED`
  `"FileName is required"`
  `public static final String`
  `JAXP_SCHEMA_LANGUAGE`
  `"http://java.sun.com/xml/jaxp/properties/schemaLanguage"`
  `public static final String`
  `JAXP_SCHEMA_SOURCE`
  `"http://java.sun.com/xml/jaxp/properties/schemaSource"`
  `public static final String`
  `W3C_XML_SCHEMA`
  `"http://www.w3.org/2001/XMLSchema"`
  `public static final String`
  `XSD_FILENAME_KEY`
  `"xmlschema_assertion_filename"`
- org.apache.jmeter.assertions.XPath2Assertion
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_XPATH`
  `"/"`
- org.apache.jmeter.assertions.XPathAssertion
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_XPATH`
  `"/"`

- org.apache.jmeter.config.Argument
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARG_NAME`
  `"Argument.name"`
  `public static final String`
  `DESCRIPTION`
  `"Argument.desc"`
  `public static final String`
  `METADATA`
  `"Argument.metadata"`
  `public static final String`
  `VALUE`
  `"Argument.value"`
- org.apache.jmeter.config.Arguments
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARGUMENTS`
  `"Arguments.arguments"`
- org.apache.jmeter.config.ConfigTestElement
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PASSWORD`
  `"ConfigTestElement.password"`
  `public static final String`
  `USERNAME`
  `"ConfigTestElement.username"`

- org.apache.jmeter.config.gui.ArgumentsPanel
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COLUMN_RESOURCE_NAMES_0`
  `"name"`
  `public static final String`
  `COLUMN_RESOURCE_NAMES_1`
  `"value"`
  `public static final String`
  `COLUMN_RESOURCE_NAMES_2`
  `"description"`

- org.apache.jmeter.control.InterleaveControl
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `IGNORE_SUB_CONTROLLERS`
  `0`
  `public static final int`
  `USE_SUB_CONTROLLERS`
  `1`
- org.apache.jmeter.control.LoopController
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INFINITE_LOOP_COUNT`
  `-1`
  `public static final String`
  `LOOPS`
  `"LoopController.loops"`
- org.apache.jmeter.control.ThroughputController
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYNUMBER`
  `0`
  `public static final int`
  `BYPERCENT`
  `1`

- org.apache.jmeter.engine.DistributedRunner
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONTINUE_ON_FAIL`
  `"client.continue_on_fail"`
  `public static final String`
  `RETRIES_DELAY`
  `"client.retries_delay"`
  `public static final String`
  `RETRIES_NUMBER`
  `"client.tries"`

- org.apache.jmeter.extractor.HtmlExtractor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_EXTRACTOR`
  `""`
  `public static final String`
  `EXTRACTOR_JODD`
  `"JODD"`
  `public static final String`
  `EXTRACTOR_JSOUP`
  `"JSOUP"`
- org.apache.jmeter.extractor.RegexExtractor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `USE_BODY`
  `"false"`
  `public static final String`
  `USE_BODY_AS_DOCUMENT`
  `"as_document"`
  `public static final String`
  `USE_BODY_UNESCAPED`
  `"unescaped"`
  `public static final String`
  `USE_CODE`
  `"code"`
  `public static final String`
  `USE_HDRS`
  `"true"`
  `public static final String`
  `USE_MESSAGE`
  `"message"`
  `public static final String`
  `USE_REQUEST_HDRS`
  `"request_headers"`
  `public static final String`
  `USE_URL`
  `"URL"`

- org.apache.jmeter.extractor.json.jsonpath.JSONPostProcessor
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `COMPUTE_CONCATENATION_DEFAULT_VALUE`
  `false`

- org.apache.jmeter.extractor.json.render.RenderAsJmesPathRenderer
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `NO_MATCH`
  `"NO MATCH"`
- org.apache.jmeter.extractor.json.render.RenderAsJsonRenderer
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `NO_MATCH`
  `"NO MATCH"`

- org.apache.jmeter.functions.BeanShell
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `INIT_FILE`
  `"beanshell.function.init"`
- org.apache.jmeter.functions.Groovy
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `INIT_FILE`
  `"groovy.utilities"`
- org.apache.jmeter.functions.RegexFunction
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ALL`
  `"ALL"`
  `public static final String`
  `KEY`
  `"__regexFunction"`
  `public static final String`
  `RAND`
  `"RAND"`

- org.apache.jmeter.gui.MainFrame
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LOCAL`
  `"*local*"`

- org.apache.jmeter.gui.action.ActionNames
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ABOUT`
  `"about"`
  `public static final String`
  `ACTION_SHUTDOWN`
  `"shutdown"`
  `public static final String`
  `ACTION_START`
  `"start"`
  `public static final String`
  `ACTION_START_NO_TIMERS`
  `"start_no_timers"`
  `public static final String`
  `ACTION_STOP`
  `"stop"`
  `public static final String`
  `ADD`
  `"Add"`
  `public static final String`
  `ADD_ALL`
  `"add_all"`
  `public static final String`
  `ADD_PARENT`
  `"Add Parent"`
  `public static final String`
  `ADD_THINK_TIME_BETWEEN_EACH_STEP`
  `"Add Think Time between each step"`
  `public static final String`
  `ANALYZE_FILE`
  `"Analyze File"`
  `public static final String`
  `APPLY_NAMING_CONVENTION`
  `"Apply Naming Convention"`
  `public static final String`
  `CHANGE_LANGUAGE`
  `"change_language"`
  `public static final String`
  `CHANGE_PARENT`
  `"Change Parent"`
  `public static final String`
  `CHECK_CUT`
  `"check_cut"`
  `public static final String`
  `CHECK_DIRTY`
  `"check_dirty"`
  `public static final String`
  `CHECK_REMOVE`
  `"check_remove"`
  `public static final String`
  `CLEAR`
  `"action.clear"`
  `public static final String`
  `CLEAR_ALL`
  `"action.clear_all"`
  `public static final String`
  `CLOSE`
  `"close"`
  `public static final String`
  `COLLAPSE`
  `"collapse"`
  `public static final String`
  `COLLAPSE_ALL`
  `"collapse all"`
  `public static final String`
  `COMPILE_JSR223`
  `"compile_jsr223"`
  `public static final String`
  `COPY`
  `"Copy"`
  `public static final String`
  `COPY_CODE`
  `"copy_code"`
  `public static final String`
  `CUT`
  `"Cut"`
  `public static final String`
  `DEBUG_OFF`
  `"debug_off"`
  `public static final String`
  `DEBUG_ON`
  `"debug_on"`
  `public static final String`
  `DISABLE`
  `"disable"`
  `public static final String`
  `DUPLICATE`
  `"duplicate"`
  `public static final String`
  `EDIT`
  `"edit"`
  `public static final String`
  `ENABLE`
  `"enable"`
  `public static final String`
  `EXIT`
  `"exit"`
  `public static final String`
  `EXPAND`
  `"expand"`
  `public static final String`
  `EXPAND_ALL`
  `"expand all"`
  `public static final String`
  `FUNCTIONS`
  `"functions"`
  `public static final String`
  `HEAP_DUMP`
  `"heap_dump"`
  `public static final String`
  `HELP`
  `"help"`
  `public static final String`
  `HTML_REPORT`
  `"html_report"`
  `public static final String`
  `LAF_PREFIX`
  `"laf:"`
  `public static final String`
  `LINK_BUG_TRACKER`
  `"link_bug_tracker:"`
  `public static final String`
  `LINK_COMP_REF`
  `"link_component_reference:"`
  `public static final String`
  `LINK_FUNC_REF`
  `"link_function_reference:"`
  `public static final String`
  `LINK_NIGHTLY_BUILD`
  `"link_nightly_build:"`
  `public static final String`
  `LINK_RELEASE_NOTES`
  `"link_release_notes"`
  `public static final String`
  `LOG_LEVEL_PREFIX`
  `"loglevel:"`
  `public static final String`
  `LOGGER_PANEL_ENABLE_DISABLE`
  `"logger_panel_enable_disable"`
  `public static final String`
  `MERGE`
  `"merge"`
  `public static final String`
  `MOVE_DOWN`
  `"move_down"`
  `public static final String`
  `MOVE_LEFT`
  `"move_left"`
  `public static final String`
  `MOVE_RIGHT`
  `"move_right"`
  `public static final String`
  `MOVE_UP`
  `"move_up"`
  `public static final String`
  `OPEN`
  `"open"`
  `public static final String`
  `OPEN_RECENT`
  `"open_recent"`
  `public static final String`
  `PARSE_CURL`
  `"parse_curl"`
  `public static final String`
  `PASTE`
  `"Paste"`
  `public static final String`
  `QUICK_COMPONENT`
  `"quick_component"`
  `public static final String`
  `REDO`
  `"redo"`
  `public static final String`
  `REMOTE_EXIT`
  `"remote_exit"`
  `public static final String`
  `REMOTE_EXIT_ALL`
  `"remote_exit_all"`
  `public static final String`
  `REMOTE_SHUT`
  `"remote_shut"`
  `public static final String`
  `REMOTE_SHUT_ALL`
  `"remote_shut_all"`
  `public static final String`
  `REMOTE_START`
  `"remote_start"`
  `public static final String`
  `REMOTE_START_ALL`
  `"remote_start_all"`
  `public static final String`
  `REMOTE_STOP`
  `"remote_stop"`
  `public static final String`
  `REMOTE_STOP_ALL`
  `"remote_stop_all"`
  `public static final String`
  `REMOVE`
  `"remove"`
  `public static final String`
  `RESTART`
  `"restart"`
  `public static final String`
  `REVERT_PROJECT`
  `"revert_project"`
  `public static final String`
  `RUN_TG`
  `"run_tg"`
  `public static final String`
  `RUN_TG_NO_TIMERS`
  `"run_tg_no_timers"`
  `public static final String`
  `SAVE`
  `"save"`
  `public static final String`
  `SAVE_ALL_AS`
  `"save_all_as"`
  `public static final String`
  `SAVE_AS`
  `"save_as"`
  `public static final String`
  `SAVE_AS_TEST_FRAGMENT`
  `"save_as_test_fragment"`
  `public static final String`
  `SAVE_BEFORE_RUN`
  `"save_before_run"`
  `public static final String`
  `SAVE_GRAPHICS`
  `"save_graphics"`
  `public static final String`
  `SAVE_GRAPHICS_ALL`
  `"save_graphics_all"`
  `public static final String`
  `SCHEMATIC_VIEW`
  `"schematic_view"`
  `public static final String`
  `SEARCH_RESET`
  `"search_reset"`
  `public static final String`
  `SEARCH_TREE`
  `"search_tree"`
  `public static final String`
  `SSL_MANAGER`
  `"sslManager"`
  `public static final String`
  `STOP_THREAD`
  `"stop_thread"`
  `public static final String`
  `SUB_TREE_LOADED`
  `"sub_tree_loaded"`
  `public static final String`
  `SUB_TREE_MERGED`
  `"sub_tree_merged"`
  `public static final String`
  `SUB_TREE_SAVED`
  `"sub_tree_saved"`
  `public static final String`
  `TEMPLATES`
  `"templates"`
  `public static final String`
  `THREAD_DUMP`
  `"thread_dump"`
  `public static final String`
  `TOGGLE`
  `"toggle"`
  `public static final String`
  `TOOLBAR`
  `"toolbar"`
  `public static final String`
  `UNDO`
  `"undo"`
  `public static final String`
  `VALIDATE_TG`
  `"validate_tg"`
  `public static final String`
  `WHAT_CLASS`
  `"what_class"`
  `public static final String`
  `ZOOM_IN`
  `"zoom_in"`
  `public static final String`
  `ZOOM_OUT`
  `"zoom_out"`
- org.apache.jmeter.gui.action.HtmlReportGenerator
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CANNOT_CREATE_DIRECTORY`
  `"generate_report_ui.cannot_create_directory"`
  `public static final String`
  `ERROR_GENERATING`
  `"generate_report_ui.html_report_error"`
  `public static final String`
  `HTML_REPORT_SUCCESS`
  `"generate_report_ui.html_report_success"`
  `public static final String`
  `NO_DIRECTORY`
  `"generate_report_ui.no_such_directory"`
  `public static final String`
  `NO_FILE`
  `"generate_report_ui.no_such_file"`
  `public static final String`
  `NOT_EMPTY_DIRECTORY`
  `"generate_report_ui.directory_not_empty"`
- org.apache.jmeter.gui.action.Restart
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SUN_JAVA_COMMAND`
  `"sun.java.command"`
- org.apache.jmeter.gui.action.Save
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JMX_FILE_EXTENSION`
  `".jmx"`

- org.apache.jmeter.gui.action.impl.DefaultTreeNodeNamingPolicy
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `TRANSACTION_CHILDREN_SEPARATOR`
  `'-'`

- org.apache.jmeter.gui.util.JMeterMenuBar
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CROSS_PLATFORM_LAF`
  `"CrossPlatform"`
  `public static final String`
  `DARCULA_LAF`
  `"Darcula"`
  `public static final String`
  `DARCULA_LAF_CLASS`
  `"com.bulenkov.darcula.DarculaLaf"`
  `public static final String`
  `DARKLAF_LAF`
  `"Darklaf"`
  `public static final String`
  `DARKLAF_LAF_CLASS`
  `"com.github.weisj.darklaf.DarkLaf"`
  `public static final String`
  `SYSTEM_LAF`
  `"System"`
- org.apache.jmeter.gui.util.JMeterToolBar
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_TOOLBAR_ICON_SIZE`
  `"22x22"`
  `protected static final String`
  `DEFAULT_TOOLBAR_PROPERTY_FILE`
  `"org/apache/jmeter/images/toolbar/icons-toolbar.properties"`
  `public static final String`
  `TOOLBAR_ICON_SIZE`
  `"jmeter.toolbar.icons.size"`
  `protected static final String`
  `TOOLBAR_LIST`
  `"jmeter.toolbar"`
  `protected static final String`
  `USER_DEFINED_TOOLBAR_PROPERTY_FILE`
  `"jmeter.toolbar.icons"`
- org.apache.jmeter.gui.util.JSyntaxSearchToolBar
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FIND_ACTION`
  `"Find"`
- org.apache.jmeter.gui.util.MenuFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ASSERTIONS`
  `"menu_assertions"`
  `public static final String`
  `CONFIG_ELEMENTS`
  `"menu_config_element"`
  `public static final String`
  `CONTROLLERS`
  `"menu_logic_controller"`
  `public static final String`
  `FRAGMENTS`
  `"menu_fragments"`
  `public static final String`
  `LISTENERS`
  `"menu_listener"`
  `public static final String`
  `NON_TEST_ELEMENTS`
  `"menu_non_test_elements"`
  `public static final String`
  `POST_PROCESSORS`
  `"menu_post_processors"`
  `public static final String`
  `PRE_PROCESSORS`
  `"menu_pre_processors"`
  `public static final String`
  `SAMPLERS`
  `"menu_generative_controller"`
  `public static final String`
  `SEPARATOR`
  `"menu_separator"`
  `public static final String`
  `THREADS`
  `"menu_threads"`
  `public static final String`
  `TIMERS`
  `"menu_timer"`
- org.apache.jmeter.gui.util.MenuInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SORT_ORDER_DEFAULT`
  `100`

- org.apache.jmeter.modifiers.UserParameters
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAMES`
  `"UserParameters.names"`
  `public static final String`
  `PER_ITERATION`
  `"UserParameters.per_iteration"`
  `public static final String`
  `THREAD_VALUES`
  `"UserParameters.thread_values"`

- org.apache.jmeter.protocol.bolt.config.BoltConnectionElement
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BOLT_CONNECTION`
  `"boltConnection"`

- org.apache.jmeter.protocol.ftp.sampler.FTPSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BINARY_MODE`
  `"FTPSampler.binarymode"`
  `public static final String`
  `INPUT_DATA`
  `"FTPSampler.inputdata"`
  `public static final String`
  `LOCAL_FILENAME`
  `"FTPSampler.localfilename"`
  `public static final String`
  `PORT`
  `"FTPSampler.port"`
  `public static final String`
  `REMOTE_FILENAME`
  `"FTPSampler.filename"`
  `public static final String`
  `SAVE_RESPONSE`
  `"FTPSampler.saveresponse"`
  `public static final String`
  `SERVER`
  `"FTPSampler.server"`
  `public static final String`
  `UPLOAD_FILE`
  `"FTPSampler.upload"`

- org.apache.jmeter.protocol.http.api.auth.DigestParameters
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `VARIABLE_NAME`
  `"__jmeter_DP__"`

- org.apache.jmeter.protocol.http.config.gui.GraphQLUrlConfigGui
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OPERATION_NAME`
  `"GraphQLHTTPSampler.operationName"`
  `public static final String`
  `QUERY`
  `"GraphQLHTTPSampler.query"`
  `public static final String`
  `VARIABLES`
  `"GraphQLHTTPSampler.variables"`

- org.apache.jmeter.protocol.http.control.AuthManager
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `COL_DOMAIN`
  `3`
  `public static final int`
  `COL_MECHANISM`
  `5`
  `public static final int`
  `COL_PASSWORD`
  `2`
  `public static final int`
  `COL_REALM`
  `4`
  `public static final int`
  `COL_URL`
  `0`
  `public static final int`
  `COL_USERNAME`
  `1`
- org.apache.jmeter.protocol.http.control.CacheManager
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLEAR`
  `"clearEachIteration"`
  `public static final String`
  `MAX_SIZE`
  `"maxSize"`
  `public static final String`
  `USE_EXPIRES`
  `"useExpires"`
- org.apache.jmeter.protocol.http.control.DNSCacheManager
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DEFAULT_CLEAR_CACHE_EACH_ITER`
  `false`
- org.apache.jmeter.protocol.http.control.HC4CookieHandler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_POLICY_NAME`
  `"standard"`
- org.apache.jmeter.protocol.http.control.HeaderManager
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `HEADERS`
  `"HeaderManager.headers"`
- org.apache.jmeter.protocol.http.control.HttpMirrorControl
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_POOL_SIZE`
  `0`
  `public static final int`
  `DEFAULT_MAX_QUEUE_SIZE`
  `25`
  `public static final String`
  `MAX_POOL_SIZE`
  `"HttpMirrorControlGui.maxPoolSize"`
  `public static final String`
  `MAX_QUEUE_SIZE`
  `"HttpMirrorControlGui.maxQueueSize"`
  `public static final String`
  `PORT`
  `"HttpMirrorControlGui.port"`

- org.apache.jmeter.protocol.http.gui.action.ParseCurlCommandAction
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IMPORT_CURL`
  `"import_curl"`

- org.apache.jmeter.protocol.http.modifier.RegExUserParameters
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `REG_EX_PARAM_NAMES_GR_NR`
  `"RegExUserParameters.param_names_gr_nr"`
  `public static final String`
  `REG_EX_PARAM_VALUES_GR_NR`
  `"RegExUserParameters.param_values_gr_nr"`
  `public static final String`
  `REG_EX_REF_NAME`
  `"RegExUserParameters.regex_ref_name"`

- org.apache.jmeter.protocol.http.parser.HTMLParser
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `ATT_ARCHIVE`
  `"archive"`
  `protected static final String`
  `ATT_BACKGROUND`
  `"background"`
  `protected static final String`
  `ATT_CODE`
  `"code"`
  `protected static final String`
  `ATT_CODEBASE`
  `"codebase"`
  `protected static final String`
  `ATT_DATA`
  `"data"`
  `protected static final String`
  `ATT_HREF`
  `"href"`
  `protected static final String`
  `ATT_IS_IMAGE`
  `"image"`
  `protected static final String`
  `ATT_REL`
  `"rel"`
  `protected static final String`
  `ATT_SRC`
  `"src"`
  `protected static final String`
  `ATT_STYLE`
  `"style"`
  `protected static final String`
  `ATT_TYPE`
  `"type"`
  `public static final String`
  `DEFAULT_PARSER`
  `"org.apache.jmeter.protocol.http.parser.LagartoBasedHtmlParser"`
  `protected static final String`
  `ICON`
  `"icon"`
  `protected static final String`
  `IE_UA`
  `"MSIE ([0-9]+.[0-9]+)"`
  `public static final String`
  `PARSER_CLASSNAME`
  `"htmlParser.className"`
  `protected static final String`
  `PRELOAD`
  `"preload"`
  `protected static final String`
  `SHORTCUT_ICON`
  `"shortcut icon"`
  `protected static final String`
  `STYLESHEET`
  `"stylesheet"`
  `protected static final String`
  `TAG_APPLET`
  `"applet"`
  `protected static final String`
  `TAG_BASE`
  `"base"`
  `protected static final String`
  `TAG_BGSOUND`
  `"bgsound"`
  `protected static final String`
  `TAG_BODY`
  `"body"`
  `protected static final String`
  `TAG_EMBED`
  `"embed"`
  `protected static final String`
  `TAG_FRAME`
  `"frame"`
  `protected static final String`
  `TAG_IFRAME`
  `"iframe"`
  `protected static final String`
  `TAG_IMAGE`
  `"img"`
  `protected static final String`
  `TAG_INPUT`
  `"input"`
  `protected static final String`
  `TAG_LINK`
  `"link"`
  `protected static final String`
  `TAG_OBJECT`
  `"object"`
  `protected static final String`
  `TAG_SCRIPT`
  `"script"`

- org.apache.jmeter.protocol.http.proxy.AbstractSamplerCreator
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DEFAULT_ENCODING_KEY`
  `"__defaultEncoding"`
  `protected static final String`
  `HTTP`
  `"http"`
  `protected static final String`
  `HTTPS`
  `"https"`
- org.apache.jmeter.protocol.http.proxy.HttpRequestHdr
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONTENT_LENGTH`
  `"content-length"`
  `public static final String`
  `CONTENT_TYPE`
  `"content-type"`
- org.apache.jmeter.protocol.http.proxy.ProxyControl
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_PORT`
  `8888`

- org.apache.jmeter.protocol.http.sampler.AccessLogSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_CLASS`
  `"org.apache.jmeter.protocol.http.util.accesslog.TCLogParser"`
- org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARGUMENTS`
  `"HTTPsampler.Arguments"`
  `public static final String`
  `AUTH_MANAGER`
  `"HTTPSampler.auth_manager"`
  `public static final String`
  `AUTO_REDIRECTS`
  `"HTTPSampler.auto_redirects"`
  `public static final String`
  `BROWSER_COMPATIBLE_MULTIPART`
  `"HTTPSampler.BROWSER_COMPATIBLE_MULTIPART"`
  `public static final boolean`
  `BROWSER_COMPATIBLE_MULTIPART_MODE_DEFAULT`
  `false`
  `public static final String`
  `CACHE_MANAGER`
  `"HTTPSampler.cache_manager"`
  `public static final String`
  `CONCURRENT_DWN`
  `"HTTPSampler.concurrentDwn"`
  `public static final String`
  `CONCURRENT_POOL`
  `"HTTPSampler.concurrentPool"`
  `public static final int`
  `CONCURRENT_POOL_SIZE`
  `6`
  `public static final String`
  `CONNECT_TIMEOUT`
  `"HTTPSampler.connect_timeout"`
  `public static final String`
  `CONTENT_ENCODING`
  `"HTTPSampler.contentEncoding"`
  `public static final String`
  `CONTENT_TYPE`
  `"HTTPSampler.CONTENT_TYPE"`
  `public static final String`
  `COOKIE_MANAGER`
  `"HTTPSampler.cookie_manager"`
  `public static final String`
  `DEFAULT_METHOD`
  `"GET"`
  `public static final String`
  `DNS_CACHE_MANAGER`
  `"HTTPSampler.dns_cache_manager"`
  `public static final String`
  `DO_MULTIPART_POST`
  `"HTTPSampler.DO_MULTIPART_POST"`
  `public static final String`
  `DOMAIN`
  `"HTTPSampler.domain"`
  `public static final String`
  `EMBEDDED_URL_EXCLUDE_RE`
  `"HTTPSampler.embedded_url_exclude_re"`
  `public static final String`
  `EMBEDDED_URL_RE`
  `"HTTPSampler.embedded_url_re"`
  `public static final String`
  `HEADER_MANAGER`
  `"HTTPSampler.header_manager"`
  `public static final String`
  `IMAGE_PARSER`
  `"HTTPSampler.image_parser"`
  `public static final String`
  `IMPLEMENTATION`
  `"HTTPSampler.implementation"`
  `public static final String`
  `IP_SOURCE`
  `"HTTPSampler.ipSource"`
  `public static final String`
  `IP_SOURCE_TYPE`
  `"HTTPSampler.ipSourceType"`
  `public static final String`
  `KEYSTORE_CONFIG`
  `"HTTPSampler.keystore_configuration"`
  `public static final String`
  `MD5`
  `"HTTPSampler.md5"`
  `public static final String`
  `METHOD`
  `"HTTPSampler.method"`
  `public static final String`
  `MONITOR`
  `"HTTPSampler.monitor"`
  `protected static final String`
  `NON_HTTP_RESPONSE_CODE`
  `"Non HTTP response code"`
  `protected static final String`
  `NON_HTTP_RESPONSE_MESSAGE`
  `"Non HTTP response message"`
  `public static final String`
  `PATH`
  `"HTTPSampler.path"`
  `public static final String`
  `PORT`
  `"HTTPSampler.port"`
  `public static final String`
  `POST_BODY_RAW`
  `"HTTPSampler.postBodyRaw"`
  `public static final boolean`
  `POST_BODY_RAW_DEFAULT`
  `false`
  `public static final String`
  `PROTOCOL`
  `"HTTPSampler.protocol"`
  `public static final String`
  `PROXYHOST`
  `"HTTPSampler.proxyHost"`
  `public static final String`
  `PROXYPASS`
  `"HTTPSampler.proxyPass"`
  `public static final String`
  `PROXYPORT`
  `"HTTPSampler.proxyPort"`
  `public static final String`
  `PROXYSCHEME`
  `"HTTPSampler.proxyScheme"`
  `public static final String`
  `PROXYUSER`
  `"HTTPSampler.proxyUser"`
  `public static final String`
  `RESPONSE_TIMEOUT`
  `"HTTPSampler.response_timeout"`
  `public static final String`
  `SAMPLE_TIMEOUT`
  `"HTTPSampler.sample_timeout"`
  `public static final int`
  `UNSPECIFIED_PORT`
  `0`
  `public static final String`
  `UNSPECIFIED_PORT_AS_STRING`
  `"0"`
  `public static final String`
  `URL`
  `"HTTPSampler.URL"`
  `public static final int`
  `URL_UNSPECIFIED_PORT`
  `-1`
  `public static final String`
  `URL_UNSPECIFIED_PORT_AS_STRING`
  `"-1"`
  `public static final String`
  `USE_KEEPALIVE`
  `"HTTPSampler.use_keepalive"`
- org.apache.jmeter.protocol.http.sampler.HTTPSamplerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `HTTP_SAMPLER_APACHE`
  `"HTTPSampler2"`
  `public static final String`
  `HTTP_SAMPLER_JAVA`
  `"HTTPSampler"`
  `public static final String`
  `IMPL_HTTP_CLIENT3_1`
  `"HttpClient3.1"`
  `public static final String`
  `IMPL_HTTP_CLIENT4`
  `"HttpClient4"`
  `public static final String`
  `IMPL_JAVA`
  `"Java"`
- org.apache.jmeter.protocol.http.sampler.PostWriter
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `BOUNDARY`
  `"---------------------------7d159c1302d0y0"`

- org.apache.jmeter.protocol.http.util.GraphQLRequestParamUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OPERATION_NAME_FIELD`
  `"operationName"`
  `public static final String`
  `QUERY_FIELD`
  `"query"`
  `public static final String`
  `VARIABLES_FIELD`
  `"variables"`
- org.apache.jmeter.protocol.http.util.HTTPConstantsInterface
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `APPLICATION_X_WWW_FORM_URLENCODED`
  `"application/x-www-form-urlencoded"`
  `public static final String`
  `CACHE_CONTROL`
  `"Cache-Control"`
  `public static final String`
  `CONNECT`
  `"CONNECT"`
  `public static final String`
  `CONNECTION_CLOSE`
  `"close"`
  `public static final String`
  `COPY`
  `"COPY"`
  `public static final String`
  `DATE`
  `"Date"`
  `public static final int`
  `DEFAULT_HTTP_PORT`
  `80`
  `public static final String`
  `DEFAULT_HTTP_PORT_STRING`
  `"80"`
  `public static final int`
  `DEFAULT_HTTPS_PORT`
  `443`
  `public static final String`
  `DEFAULT_HTTPS_PORT_STRING`
  `"443"`
  `public static final String`
  `DELETE`
  `"DELETE"`
  `public static final String`
  `ENCODING_BROTLI`
  `"br"`
  `public static final String`
  `ENCODING_DEFLATE`
  `"deflate"`
  `public static final String`
  `ENCODING_GZIP`
  `"gzip"`
  `public static final String`
  `ETAG`
  `"Etag"`
  `public static final String`
  `EXPIRES`
  `"Expires"`
  `public static final String`
  `GET`
  `"GET"`
  `public static final String`
  `HEAD`
  `"HEAD"`
  `public static final String`
  `HEADER_AUTHORIZATION`
  `"Authorization"`
  `public static final String`
  `HEADER_CONNECTION`
  `"Connection"`
  `public static final String`
  `HEADER_CONTENT_DISPOSITION`
  `"Content-Disposition"`
  `public static final String`
  `HEADER_CONTENT_ENCODING`
  `"content-encoding"`
  `public static final String`
  `HEADER_CONTENT_LENGTH`
  `"Content-Length"`
  `public static final String`
  `HEADER_CONTENT_TYPE`
  `"Content-Type"`
  `public static final String`
  `HEADER_COOKIE`
  `"Cookie"`
  `public static final String`
  `HEADER_COOKIE_IN_REQUEST`
  `"Cookie:"`
  `public static final String`
  `HEADER_HOST`
  `"Host"`
  `public static final String`
  `HEADER_LOCAL_ADDRESS`
  `"X-LocalAddress"`
  `public static final String`
  `HEADER_LOCATION`
  `"Location"`
  `public static final String`
  `HEADER_SET_COOKIE`
  `"set-cookie"`
  `public static final String`
  `HTTP_1_1`
  `"HTTP/1.1"`
  `public static final String`
  `IF_MODIFIED_SINCE`
  `"If-Modified-Since"`
  `public static final String`
  `IF_NONE_MATCH`
  `"If-None-Match"`
  `public static final String`
  `KEEP_ALIVE`
  `"keep-alive"`
  `public static final String`
  `LAST_MODIFIED`
  `"Last-Modified"`
  `public static final String`
  `LOCK`
  `"LOCK"`
  `public static final String`
  `MKCALENDAR`
  `"MKCALENDAR"`
  `public static final String`
  `MKCOL`
  `"MKCOL"`
  `public static final String`
  `MOVE`
  `"MOVE"`
  `public static final String`
  `MULTIPART_FORM_DATA`
  `"multipart/form-data"`
  `public static final String`
  `OPTIONS`
  `"OPTIONS"`
  `public static final String`
  `PATCH`
  `"PATCH"`
  `public static final String`
  `POST`
  `"POST"`
  `public static final String`
  `PROPFIND`
  `"PROPFIND"`
  `public static final String`
  `PROPPATCH`
  `"PROPPATCH"`
  `public static final String`
  `PROTOCOL_HTTP`
  `"http"`
  `public static final String`
  `PROTOCOL_HTTPS`
  `"https"`
  `public static final String`
  `PUT`
  `"PUT"`
  `public static final String`
  `REPORT`
  `"REPORT"`
  `public static final String`
  `SC_MOVED_PERMANENTLY`
  `"301"`
  `public static final String`
  `SC_MOVED_TEMPORARILY`
  `"302"`
  `public static final String`
  `SC_PERMANENT_REDIRECT`
  `"308"`
  `public static final String`
  `SC_SEE_OTHER`
  `"303"`
  `public static final String`
  `SC_TEMPORARY_REDIRECT`
  `"307"`
  `public static final String`
  `SEARCH`
  `"SEARCH"`
  `public static final String`
  `TRACE`
  `"TRACE"`
  `public static final String`
  `TRANSFER_ENCODING`
  `"transfer-encoding"`
  `public static final String`
  `UNLOCK`
  `"UNLOCK"`
  `public static final String`
  `VARY`
  `"Vary"`

- org.apache.jmeter.protocol.http.util.accesslog.TCLogParser
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GET`
  `"GET"`
  `public static final String`
  `HEAD`
  `"HEAD"`
  `public static final String`
  `POST`
  `"POST"`

- org.apache.jmeter.protocol.java.sampler.BeanShellSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FILENAME`
  `"BeanShellSampler.filename"`
  `public static final String`
  `INIT_FILE`
  `"beanshell.sampler.init"`
  `public static final String`
  `PARAMETERS`
  `"BeanShellSampler.parameters"`
  `public static final String`
  `RESET_INTERPRETER`
  `"BeanShellSampler.resetInterpreter"`
  `public static final String`
  `SCRIPT`
  `"BeanShellSampler.query"`
- org.apache.jmeter.protocol.java.sampler.JavaSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARGUMENTS`
  `"arguments"`
  `public static final String`
  `CLASSNAME`
  `"classname"`

- org.apache.jmeter.protocol.java.test.JavaTest
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `DEFAULT_SLEEP_MASK`
  `255L`
  `public static final long`
  `DEFAULT_SLEEP_TIME`
  `100L`

- org.apache.jmeter.protocol.jms.Utils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_NO_EXPIRY`
  `"0"`
  `public static final String`
  `DEFAULT_PRIORITY_4`
  `"4"`

- org.apache.jmeter.protocol.jms.control.gui.JMSPublisherGui
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BYTES_MSG_RSC`
  `"jms_bytes_message"`
  `public static final String`
  `MAP_MSG_RSC`
  `"jms_map_message"`
  `public static final String`
  `OBJECT_MSG_RSC`
  `"jms_object_message"`
  `public static final String`
  `TEXT_MSG_RSC`
  `"jms_text_message"`
  `public static final String`
  `USE_FILE_RSC`
  `"jms_use_file"`
  `public static final String`
  `USE_RANDOM_RSC`
  `"jms_use_random_file"`
  `public static final String`
  `USE_TEXT_RSC`
  `"jms_use_text"`
- org.apache.jmeter.protocol.jms.control.gui.JMSSubscriberGui
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ON_MESSAGE_RSC`
  `"jms_subscriber_on_message"`
  `public static final String`
  `RECEIVE_RSC`
  `"jms_subscriber_receive"`

- org.apache.jmeter.protocol.jms.sampler.JMSProperties
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JMS_PROPERTIES`
  `"JMSProperties.properties"`
- org.apache.jmeter.protocol.jms.sampler.JMSProperty
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROP_NAME`
  `"JMSProperty.name"`
  `public static final String`
  `PROP_TYPE`
  `"JMSProperty.type"`
  `public static final String`
  `PROP_VALUE`
  `"JMSProperty.value"`
- org.apache.jmeter.protocol.jms.sampler.JMSSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IS_ONE_WAY`
  `"JMSSampler.isFireAndForget"`
  `public static final String`
  `JMS_COMMUNICATION_STYLE`
  `"JMSSampler.communicationStyle"`
- org.apache.jmeter.protocol.jms.sampler.PublisherSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_ENCODING`
  `"<DEFAULT>"`
  `public static final String`
  `RAW_DATA`
  `"<RAW>"`

- org.apache.jmeter.protocol.ldap.config.gui.LDAPArguments
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARGUMENTS`
  `"Arguments.arguments"`

- org.apache.jmeter.protocol.ldap.sampler.LDAPExtSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ADD`
  `"add"`
  `public static final String`
  `ARGUMENTS`
  `"arguments"`
  `public static final String`
  `ATTRIBS`
  `"attributes"`
  `public static final String`
  `BASE_ENTRY_DN`
  `"base_entry_dn"`
  `public static final String`
  `BIND`
  `"bind"`
  `public static final String`
  `COMPARE`
  `"compare"`
  `public static final String`
  `COMPAREDN`
  `"comparedn"`
  `public static final String`
  `COMPAREFILT`
  `"comparefilt"`
  `public static final String`
  `CONNTO`
  `"connection_timeout"`
  `public static final String`
  `COUNTLIM`
  `"countlimit"`
  `public static final String`
  `DELETE`
  `"delete"`
  `public static final String`
  `DEREF`
  `"deref_aliases"`
  `public static final String`
  `LDAPARGUMENTS`
  `"ldaparguments"`
  `public static final String`
  `MODDDN`
  `"modddn"`
  `public static final String`
  `MODIFY`
  `"modify"`
  `public static final String`
  `NEWDN`
  `"newdn"`
  `public static final String`
  `PARSEFLAG`
  `"parseflag"`
  `public static final String`
  `PORT`
  `"port"`
  `public static final String`
  `RENAME`
  `"rename"`
  `public static final String`
  `RETOBJ`
  `"return_object"`
  `public static final String`
  `ROOTDN`
  `"rootdn"`
  `public static final String`
  `SBIND`
  `"sbind"`
  `public static final String`
  `SCOPE`
  `"scope"`
  `public static final String`
  `SEARCH`
  `"search"`
  `public static final String`
  `SEARCHBASE`
  `"search"`
  `public static final String`
  `SEARCHFILTER`
  `"searchfilter"`
  `public static final String`
  `SECURE`
  `"secure"`
  `public static final String`
  `SERVERNAME`
  `"servername"`
  `public static final String`
  `TEST`
  `"test"`
  `public static final String`
  `TIMELIM`
  `"timelimit"`
  `public static final String`
  `TRUSTALL`
  `"trustall"`
  `public static final String`
  `UNBIND`
  `"unbind"`
  `public static final String`
  `USERDN`
  `"user_dn"`
  `public static final String`
  `USERPW`
  `"user_pw"`
- org.apache.jmeter.protocol.ldap.sampler.LDAPSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ADD`
  `"add"`
  `public static final String`
  `ARGUMENTS`
  `"arguments"`
  `public static final String`
  `BASE_ENTRY_DN`
  `"base_entry_dn"`
  `public static final String`
  `DELETE`
  `"delete"`
  `public static final String`
  `MODIFY`
  `"modify"`
  `public static final String`
  `PORT`
  `"port"`
  `public static final String`
  `ROOTDN`
  `"rootdn"`
  `public static final String`
  `SEARCHBASE`
  `"search"`
  `public static final String`
  `SEARCHFILTER`
  `"searchfilter"`
  `public static final String`
  `SERVERNAME`
  `"servername"`
  `public static final String`
  `TEST`
  `"test"`
  `public static final String`
  `USER_DEFINED`
  `"user_defined"`

- org.apache.jmeter.protocol.mail.sampler.MailReaderSampler
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALL_MESSAGES`
  `-1`
  `public static final String`
  `DEFAULT_PROTOCOL`
  `"pop3"`

- org.apache.jmeter.protocol.mongodb.mongo.MongoUtils
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_PORT`
  `27017`

- org.apache.jmeter.protocol.mongodb.sampler.MongoScriptSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DATABASE`
  `"MongoScriptSampler.database"`
  `public static final String`
  `PASSWORD`
  `"MongoScriptSampler.password"`
  `public static final String`
  `SCRIPT`
  `"MongoScriptSampler.script"`
  `public static final String`
  `SOURCE`
  `"MongoScriptSampler.source"`
  `public static final String`
  `USERNAME`
  `"MongoScriptSampler.username"`

- org.apache.jmeter.protocol.smtp.sampler.SmtpSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTACH_FILE`
  `"SMTPSampler.attachFile"`
  `public static final String`
  `EML_MESSAGE_TO_SEND`
  `"SMTPSampler.emlMessageToSend"`
  `public static final String`
  `ENABLE_DEBUG`
  `"SMTPSampler.enableDebug"`
  `public static final String`
  `FILENAME_SEPARATOR`
  `";"`
  `public static final String`
  `HEADER_FIELDS`
  `"SMTPSampler.headerFields"`
  `public static final String`
  `INCLUDE_TIMESTAMP`
  `"SMTPSampler.include_timestamp"`
  `public static final String`
  `MAIL_FROM`
  `"SMTPSampler.mailFrom"`
  `public static final String`
  `MAIL_REPLYTO`
  `"SMTPSampler.replyTo"`
  `public static final String`
  `MESSAGE`
  `"SMTPSampler.message"`
  `public static final String`
  `MESSAGE_SIZE_STATS`
  `"SMTPSampler.messageSizeStatistics"`
  `public static final String`
  `PASSWORD`
  `"SMTPSampler.password"`
  `public static final String`
  `PLAIN_BODY`
  `"SMTPSampler.plainBody"`
  `public static final String`
  `RECEIVER_BCC`
  `"SMTPSampler.receiverBCC"`
  `public static final String`
  `RECEIVER_CC`
  `"SMTPSampler.receiverCC"`
  `public static final String`
  `RECEIVER_TO`
  `"SMTPSampler.receiverTo"`
  `public static final String`
  `SERVER`
  `"SMTPSampler.server"`
  `public static final String`
  `SERVER_CONNECTION_TIMEOUT`
  `"SMTPSampler.serverConnectionTimeout"`
  `public static final String`
  `SERVER_PORT`
  `"SMTPSampler.serverPort"`
  `public static final String`
  `SERVER_TIMEOUT`
  `"SMTPSampler.serverTimeout"`
  `public static final String`
  `SUBJECT`
  `"SMTPSampler.subject"`
  `public static final String`
  `SUPPRESS_SUBJECT`
  `"SMTPSampler.suppressSubject"`
  `public static final String`
  `USE_AUTH`
  `"SMTPSampler.useAuth"`
  `public static final String`
  `USE_EML`
  `"SMTPSampler.use_eml"`
  `public static final String`
  `USERNAME`
  `"SMTPSampler.username"`

- org.apache.jmeter.protocol.smtp.sampler.gui.SecuritySettingsPanel
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ENFORCE_STARTTLS`
  `"SMTPSampler.enforceStartTLS"`
  `public static final String`
  `SSL_TRUST_ALL_CERTS`
  `"SMTPSampler.trustAllCerts"`
  `public static final String`
  `TLS_PROTOCOLS`
  `"SMTPSampler.tlsProtocols"`
  `public static final String`
  `TRUSTSTORE_TO_USE`
  `"SMTPSampler.trustStoreToUse"`
  `public static final String`
  `USE_LOCAL_TRUSTSTORE`
  `"SMTPSampler.useLocalTrustStore"`
  `public static final String`
  `USE_SSL`
  `"SMTPSampler.useSSL"`
  `public static final String`
  `USE_STARTTLS`
  `"SMTPSampler.useStartTLS"`

- org.apache.jmeter.protocol.system.SystemSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARGUMENTS`
  `"SystemSampler.arguments"`
  `public static final String`
  `CHECK_RETURN_CODE`
  `"SystemSampler.checkReturnCode"`
  `public static final String`
  `COMMAND`
  `"SystemSampler.command"`
  `public static final int`
  `DEFAULT_RETURN_CODE`
  `0`
  `public static final String`
  `DIRECTORY`
  `"SystemSampler.directory"`
  `public static final String`
  `ENVIRONMENT`
  `"SystemSampler.environment"`
  `public static final String`
  `EXPECTED_RETURN_CODE`
  `"SystemSampler.expectedReturnCode"`

- org.apache.jmeter.protocol.tcp.sampler.TCPSampler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLASSNAME`
  `"TCPSampler.classname"`
  `public static final String`
  `CLOSE_CONNECTION`
  `"TCPSampler.closeConnection"`
  `public static final boolean`
  `CLOSE_CONNECTION_DEFAULT`
  `false`
  `public static final String`
  `EOL_BYTE`
  `"TCPSampler.EolByte"`
  `public static final String`
  `FILENAME`
  `"TCPSampler.filename"`
  `public static final String`
  `NODELAY`
  `"TCPSampler.nodelay"`
  `public static final String`
  `PORT`
  `"TCPSampler.port"`
  `public static final String`
  `RE_USE_CONNECTION`
  `"TCPSampler.reUseConnection"`
  `public static final boolean`
  `RE_USE_CONNECTION_DEFAULT`
  `true`
  `public static final String`
  `REQUEST`
  `"TCPSampler.request"`
  `public static final String`
  `SERVER`
  `"TCPSampler.server"`
  `public static final String`
  `SO_LINGER`
  `"TCPSampler.soLinger"`
  `public static final String`
  `TIMEOUT`
  `"TCPSampler.timeout"`
  `public static final String`
  `TIMEOUT_CONNECT`
  `"TCPSampler.ctimeout"`

- org.apache.jmeter.report.config.ReportGeneratorConfiguration
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `EXPORTER_KEY_FILTERS_ONLY_SAMPLE_SERIES`
  `"filters_only_sample_series"`
  `public static final String`
  `EXPORTER_KEY_GRAPH_EXTRA_OPTIONS`
  `"graph_options"`
  `public static final String`
  `EXPORTER_KEY_SERIES_FILTER`
  `"series_filter"`
  `public static final String`
  `EXPORTER_KEY_SERIES_FILTER_DEFAULT`
  `""`
  `public static final String`
  `EXPORTER_KEY_SHOW_CONTROLLERS_ONLY`
  `"show_controllers_only"`
  `public static final String`
  `GRAPH_KEY_EXCLUDE_CONTROLLERS`
  `"exclude_controllers"`
  `public static final String`
  `GRAPH_KEY_TITLE`
  `"title"`
  `public static final String`
  `GRAPH_KEY_TITLE_DEFAULT`
  `""`
  `public static final char`
  `KEY_DELIMITER`
  `'.'`
  `public static final String`
  `REPORT_GENERATOR_EXPORTER_KEY_PREFIX`
  `"jmeter.reportgenerator.exporter"`
  `public static final String`
  `REPORT_GENERATOR_GRAPH_KEY_PREFIX`
  `"jmeter.reportgenerator.graph"`
  `public static final String`
  `REPORT_GENERATOR_KEY_PREFIX`
  `"jmeter.reportgenerator"`
  `public static final String`
  `REPORT_GENERATOR_KEY_RANGE_DATE_FORMAT`
  `"jmeter.reportgenerator.date_format"`
  `public static final String`
  `REPORT_GENERATOR_KEY_TEMP_DIR`
  `"jmeter.reportgenerator.temp_dir"`
  `public static final String`
  `SUBCONF_KEY_CLASSNAME`
  `"classname"`
  `public static final String`
  `SUBCONF_KEY_PROPERTY`
  `"property"`

- org.apache.jmeter.report.dashboard.HtmlTemplateExporter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DATA_CTX_BEGINDATE`
  `"beginDate"`
  `public static final String`
  `DATA_CTX_ENDDATE`
  `"endDate"`
  `public static final String`
  `DATA_CTX_EXTRA_OPTIONS`
  `"extraOptions"`
  `public static final String`
  `DATA_CTX_FILTERS_ONLY_SAMPLE_SERIES`
  `"filtersOnlySampleSeries"`
  `public static final String`
  `DATA_CTX_OVERALL_FILTER`
  `"overallFilter"`
  `public static final String`
  `DATA_CTX_REPORT_TITLE`
  `"reportTitle"`
  `public static final String`
  `DATA_CTX_RESULT`
  `"result"`
  `public static final String`
  `DATA_CTX_SERIES_FILTER`
  `"seriesFilter"`
  `public static final String`
  `DATA_CTX_SHOW_CONTROLLERS_ONLY`
  `"showControllersOnly"`
  `public static final String`
  `DATA_CTX_TESTFILE`
  `"testFile"`
  `public static final String`
  `DATA_CTX_TIMEZONE`
  `"timeZone"`
  `public static final String`
  `DATA_CTX_TIMEZONE_OFFSET`
  `"timeZoneOffset"`
  `public static final String`
  `TIMESTAMP_FORMAT_MS`
  `"ms"`
- org.apache.jmeter.report.dashboard.JsonExporter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OUTPUT_FILENAME`
  `"statistics.json"`
- org.apache.jmeter.report.dashboard.ReportGenerator
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `APDEX_SUMMARY_CONSUMER_NAME`
  `"apdexSummary"`
  `public static final String`
  `BEGIN_DATE_CONSUMER_NAME`
  `"beginDate"`
  `public static final String`
  `DATE_RANGE_FILTER_CONSUMER_NAME`
  `"dateRangeFilter"`
  `public static final String`
  `END_DATE_CONSUMER_NAME`
  `"endDate"`
  `public static final String`
  `ERRORS_SUMMARY_CONSUMER_NAME`
  `"errorsSummary"`
  `public static final String`
  `NAME_FILTER_CONSUMER_NAME`
  `"nameFilter"`
  `public static final String`
  `NORMALIZER_CONSUMER_NAME`
  `"normalizer"`
  `public static final String`
  `REQUESTS_SUMMARY_CONSUMER_NAME`
  `"requestsSummary"`
  `public static final String`
  `START_INTERVAL_CONTROLLER_FILTER_CONSUMER_NAME`
  `"startIntervalControlerFilter"`
  `public static final String`
  `STATISTICS_SUMMARY_CONSUMER_NAME`
  `"statisticsSummary"`
  `public static final String`
  `TOP5_ERRORS_BY_SAMPLER_CONSUMER_NAME`
  `"top5ErrorsBySampler"`
- org.apache.jmeter.report.dashboard.TemplateVisitor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TEMPLATED_FILE_EXT`
  `"fmkr"`

- org.apache.jmeter.report.processor.AbstractSummaryConsumer<TData>
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RESULT_VALUE_DATA`
  `"data"`
  `public static final String`
  `RESULT_VALUE_IS_CONTROLLER`
  `"isController"`
  `public static final String`
  `RESULT_VALUE_ITEMS`
  `"items"`
  `public static final String`
  `RESULT_VALUE_OVERALL`
  `"overall"`
  `public static final String`
  `RESULT_VALUE_SUPPORTS_CONTROLLERS_DISCRIMINATION`
  `"supportsControllersDiscrimination"`
  `public static final String`
  `RESULT_VALUE_TITLES`
  `"titles"`
- org.apache.jmeter.report.processor.CsvFileSampleSource
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SOURCE_FILE_ATTRIBUTE`
  `"samplesource.file"`
- org.apache.jmeter.report.processor.TaggerConsumer<TIndex>
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_TAG_LABEL`
  `"Tag"`

- org.apache.jmeter.report.processor.graph.AbstractGraphConsumer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_AGGREGATED_KEYS_SERIES_FORMAT`
  `"%s-Aggregated"`
  `protected static final String`
  `DEFAULT_GROUP`
  `"Generic group"`
  `public static final String`
  `DEFAULT_OVERALL_SERIES_FORMAT`
  `"Overall %s"`
  `public static final String`
  `RESULT_MAX_X`
  `"maxX"`
  `public static final String`
  `RESULT_MAX_Y`
  `"maxY"`
  `public static final String`
  `RESULT_MIN_X`
  `"minX"`
  `public static final String`
  `RESULT_MIN_Y`
  `"minY"`
  `public static final String`
  `RESULT_SERIES`
  `"series"`
  `public static final String`
  `RESULT_SERIES_DATA`
  `"data"`
  `public static final String`
  `RESULT_SERIES_IS_CONTROLLER`
  `"isController"`
  `public static final String`
  `RESULT_SERIES_IS_OVERALL`
  `"isOverall"`
  `public static final String`
  `RESULT_SERIES_NAME`
  `"label"`
  `public static final String`
  `RESULT_SUPPORTS_CONTROLLERS_DISCRIMINATION`
  `"supportsControllersDiscrimination"`
  `public static final String`
  `RESULT_TITLE`
  `"title"`
- org.apache.jmeter.report.processor.graph.AbstractOverTimeGraphConsumer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RESULT_CTX_GRANULARITY`
  `"granularity"`
- org.apache.jmeter.report.processor.graph.AbstractVersusRequestsGraphConsumer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RESULT_CTX_GRANULARITY`
  `"granularity"`
  `public static final String`
  `TIME_INTERVAL_LABEL`
  `"Interval"`

- org.apache.jmeter.report.processor.graph.impl.CustomGraphConsumer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `REPORT_GENERATOR_PROPERTIES`
  `"jmeter.reportgenerator.graph.customGraph.property"`
  `public static final String`
  `RESULT_CONTENT_MESSAGE`
  `"content_Message"`
  `public static final String`
  `RESULT_SAMPLE_VARIABLE_NAME`
  `"sample_Metric_Name"`
  `public static final String`
  `RESULT_X_AXIS`
  `"X_Axis"`
  `public static final String`
  `RESULT_Y_AXIS`
  `"Y_Axis"`

- org.apache.jmeter.report.utils.MetricUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ASSERTION_FAILED`
  `"Assertion failed"`

- org.apache.jmeter.reporters.MailerResultCollector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MAILER_MODEL`
  `"MailerResultCollector.mailer_model"`
- org.apache.jmeter.reporters.ResultCollector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FILENAME`
  `"filename"`
- org.apache.jmeter.reporters.ResultSaver
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ADD_TIMESTAMP`
  `"FileSaver.addTimstamp"`
  `public static final String`
  `ERRORS_ONLY`
  `"FileSaver.errorsonly"`
  `public static final String`
  `FILENAME`
  `"FileSaver.filename"`
  `public static final String`
  `IGNORE_TC`
  `"FileSaver.ignoreTC"`
  `public static final String`
  `NUMBER_PAD_LENGTH`
  `"FileSaver.numberPadLen"`
  `public static final String`
  `SKIP_AUTO_NUMBER`
  `"FileSaver.skipautonumber"`
  `public static final String`
  `SKIP_SUFFIX`
  `"FileSaver.skipsuffix"`
  `public static final String`
  `SUCCESS_ONLY`
  `"FileSaver.successonly"`
  `public static final String`
  `VARIABLE_NAME`
  `"FileSaver.variablename"`

- org.apache.jmeter.sampler.TestAction
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BREAK_CURRENT_LOOP`
  `5`
  `public static final int`
  `PAUSE`
  `1`
  `public static final int`
  `RESTART_NEXT_LOOP`
  `3`
  `public static final int`
  `START_NEXT_ITERATION_CURRENT_LOOP`
  `4`
  `public static final int`
  `STOP`
  `0`
  `public static final int`
  `STOP_NOW`
  `2`
  `public static final int`
  `TEST`
  `2`
  `public static final int`
  `THREAD`
  `0`

- org.apache.jmeter.samplers.SampleEvent
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SAMPLE_VARIABLES`
  `"sample_variables"`
- org.apache.jmeter.samplers.SampleResult
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BINARY`
  `"bin"`
  `public static final String`
  `TEXT`
  `"text"`
- org.apache.jmeter.samplers.SampleSaveConfiguration
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ASSERTION_RESULTS_FAILURE_MESSAGE_PROP`
  `"jmeter.save.saveservice.assertion_results_failure_message"`
  `public static final String`
  `DEFAULT_DELIMITER`
  `","`
  `public static final String`
  `DEFAULT_DELIMITER_PROP`
  `"jmeter.save.saveservice.default_delimiter"`
  `public static final String`
  `MILLISECONDS`
  `"ms"`
  `public static final String`
  `NONE`
  `"none"`
  `public static final int`
  `SAVE_ALL_ASSERTIONS`
  `2`
  `public static final int`
  `SAVE_FIRST_ASSERTION`
  `1`
  `public static final int`
  `SAVE_NO_ASSERTIONS`
  `0`

- org.apache.jmeter.save.CSVSaveService
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CSV_BYTES`
  `"bytes"`
  `public static final String`
  `CSV_CONNECT_TIME`
  `"Connect"`
  `public static final String`
  `CSV_ELAPSED`
  `"elapsed"`
  `public static final String`
  `CSV_ENCODING`
  `"Encoding"`
  `public static final String`
  `CSV_ERROR_COUNT`
  `"ErrorCount"`
  `public static final String`
  `CSV_FILENAME`
  `"Filename"`
  `public static final String`
  `CSV_HOSTNAME`
  `"Hostname"`
  `public static final String`
  `CSV_IDLETIME`
  `"IdleTime"`
  `public static final String`
  `CSV_LATENCY`
  `"Latency"`
  `public static final String`
  `CSV_SAMPLE_COUNT`
  `"SampleCount"`
  `public static final String`
  `CSV_SENT_BYTES`
  `"sentBytes"`
  `public static final String`
  `CSV_THREAD_COUNT1`
  `"grpThreads"`
  `public static final String`
  `CSV_THREAD_COUNT2`
  `"allThreads"`
  `public static final String`
  `CSV_URL`
  `"URL"`
  `public static final String`
  `DATA_TYPE`
  `"dataType"`
  `public static final String`
  `FAILURE_MESSAGE`
  `"failureMessage"`
  `public static final String`
  `LABEL`
  `"label"`
  `public static final char`
  `QUOTING_CHAR`
  `'\"'`
  `public static final String`
  `RESPONSE_CODE`
  `"responseCode"`
  `public static final String`
  `RESPONSE_MESSAGE`
  `"responseMessage"`
  `public static final String`
  `SUCCESSFUL`
  `"success"`
  `public static final String`
  `THREAD_NAME`
  `"threadName"`
  `public static final String`
  `TIME_STAMP`
  `"timeStamp"`
  `public static final String`
  `VARIABLE_NAME_QUOTE_CHAR`
  `"\""`
- org.apache.jmeter.save.SaveGraphicsService
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JPEG_EXTENSION`
  `".jpg"`
  `public static final int`
  `PNG`
  `0`
  `public static final String`
  `PNG_EXTENSION`
  `".png"`
  `public static final int`
  `TIFF`
  `1`
  `public static final String`
  `TIFF_EXTENSION`
  `".tif"`
- org.apache.jmeter.save.SaveService
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RESULTCOLLECTOR_HELPER_OBJECT`
  `"ResultCollectorHelper"`
  `public static final String`
  `SAMPLE_EVENT_OBJECT`
  `"SampleEvent"`
  `public static final String`
  `TEST_CLASS_NAME`
  `"TestClassName"`

- org.apache.jmeter.save.converters.ConversionHelp
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATT_CLASS`
  `"class"`
  `public static final String`
  `ATT_ELEMENT_TYPE`
  `"elementType"`
  `public static final String`
  `ATT_NAME`
  `"name"`
- org.apache.jmeter.save.converters.SampleResultConverter
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `TAG_COOKIES`
  `"cookies"`
  `protected static final String`
  `TAG_METHOD`
  `"method"`
  `protected static final String`
  `TAG_QUERY_STRING`
  `"queryString"`
  `protected static final String`
  `TAG_REDIRECT_LOCATION`
  `"redirectLocation"`
  `protected static final String`
  `TAG_REQUEST_HEADER`
  `"requestHeader"`
  `protected static final String`
  `TAG_RESPONSE_DATA`
  `"responseData"`
  `protected static final String`
  `TAG_RESPONSE_FILE`
  `"responseFile"`
  `protected static final String`
  `TAG_RESPONSE_HEADER`
  `"responseHeader"`
  `protected static final String`
  `TAG_SAMPLER_DATA`
  `"samplerData"`

- org.apache.jmeter.testbeans.BeanInfoSupport
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT`
  `"default"`
  `public static final String`
  `DEFAULT_NOT_SAVED`
  `"defaultNoSave"`
  `public static final String`
  `MULTILINE`
  `"multiline"`
  `public static final String`
  `NOT_EXPRESSION`
  `"notExpression"`
  `public static final String`
  `NOT_OTHER`
  `"notOther"`
  `public static final String`
  `NOT_UNDEFINED`
  `"notUndefined"`
  `public static final String`
  `RESOURCE_BUNDLE`
  `"resourceBundle"`
  `public static final String`
  `TAGS`
  `"tags"`
  `public static final String`
  `TEXT_LANGUAGE`
  `"textLanguage"`

- org.apache.jmeter.testbeans.gui.GenericTestBeanCustomizer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT`
  `"default"`
  `public static final String`
  `DEFAULT_GROUP`
  `""`
  `public static final String`
  `DEFAULT_NOT_SAVED`
  `"defaultNoSave"`
  `public static final String`
  `GROUP`
  `"group"`
  `public static final String`
  `GUITYPE`
  `"guiType"`
  `public static final String`
  `MULTILINE`
  `"multiline"`
  `public static final String`
  `NOT_EXPRESSION`
  `"notExpression"`
  `public static final String`
  `NOT_OTHER`
  `"notOther"`
  `public static final String`
  `NOT_UNDEFINED`
  `"notUndefined"`
  `public static final String`
  `ORDER`
  `"order"`
  `public static final String`
  `RESOURCE_BUNDLE`
  `"resourceBundle"`
  `public static final String`
  `TAGS`
  `"tags"`
  `public static final String`
  `TEXT_LANGUAGE`
  `"textLanguage"`
- org.apache.jmeter.testbeans.gui.TableEditor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLASSNAME`
  `"tableObject.classname"`
  `public static final String`
  `HEADERS`
  `"table.headers"`
  `public static final String`
  `OBJECT_PROPERTIES`
  `"tableObject.properties"`

- org.apache.jmeter.testelement.OnErrorTestElement
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ON_ERROR_ACTION`
  `"OnError.action"`
  `public static final int`
  `ON_ERROR_BREAK_CURRENT_LOOP`
  `6`
  `public static final int`
  `ON_ERROR_CONTINUE`
  `0`
  `public static final int`
  `ON_ERROR_START_NEXT_ITERATION_OF_CURRENT_LOOP`
  `5`
  `public static final int`
  `ON_ERROR_START_NEXT_THREAD_LOOP`
  `4`
  `public static final int`
  `ON_ERROR_STOPTEST`
  `2`
  `public static final int`
  `ON_ERROR_STOPTEST_NOW`
  `3`
  `public static final int`
  `ON_ERROR_STOPTHREAD`
  `1`

- org.apache.jmeter.threads.AbstractThreadGroup
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IS_SAME_USER_ON_NEXT_ITERATION`
  `"ThreadGroup.same_user_on_next_iteration"`
  `public static final String`
  `MAIN_CONTROLLER`
  `"ThreadGroup.main_controller"`
  `public static final String`
  `NUM_THREADS`
  `"ThreadGroup.num_threads"`
  `public static final String`
  `ON_SAMPLE_ERROR`
  `"ThreadGroup.on_sample_error"`
  `public static final String`
  `ON_SAMPLE_ERROR_CONTINUE`
  `"continue"`
  `public static final String`
  `ON_SAMPLE_ERROR_START_NEXT_LOOP`
  `"startnextloop"`
  `public static final String`
  `ON_SAMPLE_ERROR_STOPTEST`
  `"stoptest"`
  `public static final String`
  `ON_SAMPLE_ERROR_STOPTEST_NOW`
  `"stoptestnow"`
  `public static final String`
  `ON_SAMPLE_ERROR_STOPTHREAD`
  `"stopthread"`
- org.apache.jmeter.threads.JMeterThread
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LAST_SAMPLE_OK`
  `"JMeterThread.last_sample_ok"`
  `public static final String`
  `PACKAGE_OBJECT`
  `"JMeterThread.pack"`
- org.apache.jmeter.threads.ThreadGroup
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DELAY`
  `"ThreadGroup.delay"`
  `public static final String`
  `DELAYED_START`
  `"ThreadGroup.delayedStart"`
  `public static final String`
  `DURATION`
  `"ThreadGroup.duration"`
  `public static final String`
  `RAMP_TIME`
  `"ThreadGroup.ramp_time"`
  `public static final String`
  `SCHEDULER`
  `"ThreadGroup.scheduler"`

- org.apache.jmeter.timers.ConstantThroughputTimer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CALC_MODE`
  `"calcMode"`
  `public static final String`
  `THROUGHPUT`
  `"throughput"`
- org.apache.jmeter.timers.ConstantTimer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DELAY`
  `"ConstantTimer.delay"`
- org.apache.jmeter.timers.RandomTimer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RANGE`
  `"RandomTimer.range"`

- org.apache.jmeter.util.JMeterUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RES_KEY_PFX`
  `"[res_key="`
  `public static final String`
  `THREAD_GROUP_DISTRIBUTED_PREFIX_PROPERTY_NAME`
  `"__jm.D_TG"`
- org.apache.jmeter.util.ScriptingTestElement
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_SCRIPT_LANGUAGE`
  `"groovy"`
- org.apache.jmeter.util.ShutdownClient
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `UDP_PORT_DEFAULT`
  `4445`
- org.apache.jmeter.util.SSLManager
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JAVAX_NET_SSL_KEY_STORE`
  `"javax.net.ssl.keyStore"`

- org.apache.jmeter.util.keystore.JmeterKeyStore
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_ALIAS_VAR_NAME`
  `"certAlias"`

- org.apache.jmeter.visualizers.RespTimeGraphVisualizer
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DEFAULT_CASE_SENSITIVE`
  `false`
  `public static final boolean`
  `DEFAULT_DYNAMIC_GRAPH_SIZE`
  `true`
  `public static final int`
  `DEFAULT_INTERVAL`
  `10000`
  `public static final int`
  `DEFAULT_LEGEND_FONT`
  `0`
  `public static final int`
  `DEFAULT_LEGEND_PLACEMENT`
  `0`
  `public static final int`
  `DEFAULT_LEGEND_SIZE`
  `2`
  `public static final int`
  `DEFAULT_LEGEND_STYLE`
  `0`
  `public static final int`
  `DEFAULT_LINE_SHAPE_POINT`
  `0`
  `public static final boolean`
  `DEFAULT_NUMBER_SHOW_GROUPING`
  `true`
  `public static final boolean`
  `DEFAULT_REGEXP`
  `true`
  `public static final boolean`
  `DEFAULT_SERIES_SELECTION`
  `false`
  `public static final int`
  `DEFAULT_STROKE_WIDTH_LIST`
  `4`
  `public static final int`
  `DEFAULT_TITLE_FONT_NAME`
  `0`
  `public static final int`
  `DEFAULT_TITLE_FONT_SIZE`
  `6`
  `public static final int`
  `DEFAULT_TITLE_FONT_STYLE`
  `1`
  `public static final String`
  `DEFAULT_XAXIS_TIME_FORMAT`
  `"HH:mm:ss"`
  `public static final String`
  `GRAPH_SIZE_DYNAMIC`
  `"RespTimeGraph.graphsizedynamic"`
  `public static final String`
  `GRAPH_SIZE_HEIGHT`
  `"RespTimeGraph.graphsizeheight"`
  `public static final String`
  `GRAPH_SIZE_WIDTH`
  `"RespTimeGraph.graphsizewidth"`
  `public static final String`
  `GRAPH_TITLE`
  `"RespTimeGraph.graphtitle"`
  `public static final String`
  `GRAPH_TITLE_FONT_NAME`
  `"RespTimeGraph.graphtitlefontname"`
  `public static final String`
  `GRAPH_TITLE_FONT_SIZE`
  `"RespTimeGraph.graphtitlefondsize"`
  `public static final String`
  `GRAPH_TITLE_FONT_STYLE`
  `"RespTimeGraph.graphtitlefontstyle"`
  `public static final String`
  `INTERVAL`
  `"RespTimeGraph.interval"`
  `public static final String`
  `LEGEND_FONT`
  `"RespTimeGraph.legendfont"`
  `public static final String`
  `LEGEND_PLACEMENT`
  `"RespTimeGraph.legendplacement"`
  `public static final String`
  `LEGEND_SIZE`
  `"RespTimeGraph.legendsize"`
  `public static final String`
  `LEGEND_STYLE`
  `"RespTimeGraph.legendstyle"`
  `public static final String`
  `LINE_SHAPE_POINT`
  `"RespTimeGraph.lineshapepoint"`
  `public static final String`
  `LINE_STROKE_WIDTH`
  `"RespTimeGraph.linestrockwidth"`
  `public static final String`
  `SERIES_SELECTION`
  `"RespTimeGraph.seriesselection"`
  `public static final String`
  `SERIES_SELECTION_CASE_SENSITIVE`
  `"RespTimeGraph.seriesselectioncasesensitive"`
  `public static final String`
  `SERIES_SELECTION_MATCH_LABEL`
  `"RespTimeGraph.seriesselectionmatchlabel"`
  `public static final String`
  `SERIES_SELECTION_REGEXP`
  `"RespTimeGraph.seriesselectionregexp"`
  `public static final String`
  `XAXIS_TIME_FORMAT`
  `"RespTimeGraph.xaxistimeformat"`
  `public static final String`
  `YAXIS_INCREMENT_SCALE`
  `"RespTimeGraph.yaxisscaleincrement"`
  `public static final String`
  `YAXIS_NUMBER_GROUPING`
  `"RespTimeGraph.yaxisnumbergrouping"`
  `public static final String`
  `YAXIS_SCALE_MAX_VALUE`
  `"RespTimeGraph.yaxisscalemaxvalue"`
- org.apache.jmeter.visualizers.SamplerResultTab
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `REQUEST_VIEW_COMMAND`
  `"change_request_view"`
  `protected static final String`
  `TEXT_COMMAND`
  `"text"`
- org.apache.jmeter.visualizers.ViewResultsFullVisualizer
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `COMBO_CHANGE_COMMAND`
  `"change_combo"`

- org.apache.jmeter.visualizers.backend.BackendListener
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARGUMENTS`
  `"arguments"`
  `public static final String`
  `CLASSNAME`
  `"classname"`
  `public static final String`
  `DEFAULT_QUEUE_SIZE`
  `"5000"`
  `public static final String`
  `QUEUE_SIZE`
  `"QUEUE_SIZE"`

- org.apache.jmeter.visualizers.backend.graphite.GraphiteBackendListenerClient
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `USE_REGEXP_FOR_SAMPLERS_LIST`
  `"useRegexpForSamplersList"`
  `public static final String`
  `USE_REGEXP_FOR_SAMPLERS_LIST_DEFAULT`
  `"false"`

- org.apache.jmeter.visualizers.utils.Colors
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DEFAULT_COLORS_PROPERTY_FILE`
  `"org/apache/jmeter/visualizers/utils/colors.properties"`
  `protected static final String`
  `USER_DEFINED_COLORS_PROPERTY_FILE`
  `"jmeter.colors"`

- org.apache.jorphan.exec.KeyToolUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ROOT_CACERT_CRT_PFX`
  `"ApacheJMeterTemporaryRootCA"`
- org.apache.jorphan.exec.SystemCommand
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `POLL_INTERVAL`
  `100`

- org.apache.jorphan.gui.JMeterUIDefaults
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BUTTON_ERROR_FOREGROUND`
  `"[jmeter]Button.errorForeground"`
  `public static final String`
  `BUTTON_SMALL_FONT`
  `"[jmeter]Button.smallFont"`
  `public static final String`
  `CHECKBOX_SMALL_FONT`
  `"[jmeter]CheckBox.smallFont"`
  `public static final String`
  `LABEL_BIG_FONT`
  `"[jmeter]Label.bigFont"`
  `public static final String`
  `LABEL_ERROR_FONT`
  `"[jmeter]Label.errorFont"`
  `public static final String`
  `LABEL_ERROR_FOREGROUND`
  `"[jmeter]Label.errorForeground"`
  `public static final String`
  `LABEL_SMALL_FONT`
  `"[jmeter]Label.smallFont"`
  `public static final String`
  `LABEL_WARNING_FONT`
  `"[jmeter]Label.warningFont"`
  `public static final String`
  `LABEL_WARNING_FOREGROUND`
  `"[jmeter]Label.warningForeground"`
  `public static final String`
  `TABLE_ROW_HEIGHT`
  `"Table.rowHeight"`
  `public static final String`
  `TEXTAREA_BORDER`
  `"[jmeter]TextArea.border"`
  `public static final String`
  `TEXTFIELD_SMALL_FONT`
  `"[jmeter]TextField.smallFont"`
  `public static final String`
  `TOOLBAR_SMALL_FONT`
  `"[jmeter]ToolBar.smallFont"`
  `public static final String`
  `TREE_ROW_HEIGHT`
  `"Tree.rowHeight"`

- org.apache.jorphan.gui.layout.VerticalLayout
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BOTH`
  `3`
  `public static final int`
  `BOTTOM`
  `2`
  `public static final int`
  `CENTER`
  `0`
  `public static final int`
  `LEFT`
  `2`
  `public static final int`
  `RIGHT`
  `1`
  `public static final int`
  `TOP`
  `1`

- org.apache.jorphan.gui.ui.TextAreaUIWithUndo
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BACKUP_UI_CLASS`
  `"[jmeter]TextAreaUI"`
  `public static final String`
  `UI_CLASS`
  `"TextAreaUI"`
- org.apache.jorphan.gui.ui.TextFieldUIWithUndo
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BACKUP_UI_CLASS`
  `"[jmeter]TextFieldUI"`
  `public static final String`
  `UI_CLASS`
  `"TextFieldUI"`

- org.apache.jorphan.logging.LoggingManager
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_PATTERN`
  `"%{time:yyyy/MM/dd HH:mm:ss} %5.5{priority} - %{category}: %{message} %{throwable}"`
  `public static final String`
  `LOG_FILE`
  `"log_file"`
  `public static final String`
  `LOG_PRIORITY`
  `"log_level"`

- org.apache.jorphan.reflect.ClassFinder
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JMETER_SKIP_CLASS_SCANNING_ATTRIBUTE`
  `"JMeter-Skip-Class-Scanning"`

- org.apache.log.Logger
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `CATEGORY_SEPARATOR`
  `'.'`